# $Revision: 1.36 $, $Date: 2004/05/07 00:41:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	C
%define		pnam	Scan
Summary:	C::Scan - scan C language files for easily recognized constructs
Summary(pl):	C::Scan - poszukiwanie atwo rozpoznawalnych konstrukcji w plikach w jzyku C
Name:		perl-C-Scan
Version:	0.74
Release:	9
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a229ce3836ba72f9b4cc3d1fb6392edb
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Data-Flow
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C::Scan Perl module scans C language files for easily recognized
constructs.

%description -l pl
C::Scan jest moduem Perla poszukujcym atwo rozpoznawalnych
konstrukcji w plikach w jzyku C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/C
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-C-Scan.spec,v $
Revision 1.36  2004/05/07 00:41:49  ankry
- rel. 9

Revision 1.35  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 00:45:35  ankry
- rel. 8 for Ac

Revision 1.33  2004/04/25 00:44:41  ankry
- tests added

Revision 1.32  2004/04/17 16:19:50  ankry
- license/summary/description fixes

Revision 1.31  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.30  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:26:54  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/16 23:16:18  ankry
- translations, cleaning
- new %%doc
- added %{perl_sitelib}/C dir
- release 6

Revision 1.21  2002/07/10 08:46:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 02:41:56  kloczek
- cosmetics.

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:24:23  depesz
adapterized

Revision 1.15  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:05:38  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2000/12/28 01:17:02  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.10  2000/08/23 09:24:25  kloczek
- updated to 0.74.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.6  2000/05/02 21:05:02  baggins
- fixed including macros

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
